﻿using FreshMvvm;
using Monkeys.Helpers;
using Monkeys.Models;
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Threading.Tasks;

namespace Monkeys
{
    public class MonkeysViewModel: FreshBasePageModel
    {
        public ObservableCollection<Monkey> Monkeys { get; set; }
        public ObservableCollection<Grouping<string, Monkey>> MonkeysGrouped { get; set; }

        public MonkeysViewModel()
        {

        }

        private bool isLoaded;
        private bool isFirstTimeLoaded = true;

        public bool IsLoaded
        {
            get { return isLoaded; }
            set { isLoaded = value;
                RaisePropertyChanged(nameof(IsLoaded));
            }
        }

        public int MonkeyCount => Monkeys?.Count ?? 0;

        protected async override void ViewIsAppearing(object sender, EventArgs e)
        {
            base.ViewIsAppearing(sender, e);

            if (isFirstTimeLoaded)
            {
                IsLoaded = false;
                Monkeys = MonkeyHelper.Cards;
                RaisePropertyChanged("Monkeys");

                await Task.Delay(5000);

                IsLoaded = true;
                isFirstTimeLoaded = false;
            }
        }
    }
}
